Main Page Widgets Namespaces Book

# Gtk::TreeModelColumn< T > Class Template Reference
[TreeView Classes]

A Gtk::TreeModelColumn describes the C++ type of the data in a model column, and identifies that column in the model. More...

Inheritance diagram for Gtk::TreeModelColumn< T >:

[legend]

List of all members.

## Public Types
typedef T | ElementType
typedef Glib::Value<T> | ValueType
## Public Member Functions
| TreeModelColumn ()

## Detailed Description

### template <class T>
class Gtk::TreeModelColumn< T >

A Gtk::TreeModelColumn describes the C++ type of the data in a model column, and identifies that column in the model.

See Gtk::TreeModel::Columns for a usage example.

## Member Typedef Documentation

template <class T>

typedef T Gtk::TreeModelColumn<T>::ElementType

template <class T>

typedef Glib::Value<T> Gtk::TreeModelColumn<T>::ValueType

## Constructor & Destructor Documentation

template <class T>

Gtk::TreeModelColumn<T>::TreeModelColumn | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- treemodelcolumn.h